Forum : 3 - Forum dédié Ardour

ardour en flatpak

c4-53 utilisateur non connecté
Je viens de m’apercevoir qu'ardour6 était arrivé sur flathub. Curieux les flatpak n'utilisent pas jack. J'en utilise souvent ça permet d'avoir des softs tous frais, mais pas pour la musique, à cause de jack justement.
A moins que l'on puisse l'installer avec jack?

farvardin utilisateur non connecté
flatpak, j'ai peur pour les problèmes de droits... je pense que je vais essayer de le compiler. En appimage ça serait cool de l'avoir, comme pour lmms...

c4-53 utilisateur non connecté
Pour le flatpak et les droits, je sais pas trop, je trouve ça pratique pour certaines applications pour le graphisme comme krita... (et autres), qui sont assez dynamiques et qui évolues rapidement. Après pour les applications audio c'est pas top pour l'interaction avec jack, et il est préférable de passer par des appimages qui peuvent utiliser jack, (comme musescore)
J'ai regardé dans la doc flatpak il n'y a rien sur jack pour les options d'installations, dommage.

olinuxx utilisateur non connecté France
Il est également possible d'avoir des binaires de chez ardour.org en donnant quelque chose comme 1$ (de mémoire).

felix13 utilisateur non connecté
Bonjour,
juste un retour d'expérience après installation de Linux Mint 20.1 Cinnamon, sur laquelle j'ai installée Ardour par flatpak. L'application refusait de démarrer : "Impossible de créer une session...". Évidemment j'avais configuré temps réel et Jack. Rien à faire.
J'ai désinstallé cette version et réinstallé Ardour (5.12.0) à partir de la logithèque. Et là ça marche impeccable.

jujudusud utilisateur non connecté France
Bonjour Felix, bonjour tout le monde,

La version 5.12 est proposée dans ta distribution ?
Aujourd'hui on en est à la version 6.8.

Est ce que tu comptes utiliser la version 5.12 ou bien veux tu utiliser une version plus récente ?

felix13 utilisateur non connecté
Version plus récente? Pas forcément.

Ce qui m'importe surtout, c'est d'utiliser un environnement logiciel général stable, rapide, fonctionnel, sécurisé et dans lequel je me sens bien. Si tout est OK dans ces conditions, pourquoi changer?

Question de priorité.

C'est probablement par ce type de raisonnement assez basique et un poil cossard wink qui, par exemple, me conduit à utiliser de préférence les dépôts officiels des distributions.

Jusqu'à présent je n'ai pas à m'en plaindre.

Si, un jour, je dois compiler une application pour l'utiliser sur mon système (parce que, par exemple, je n'ai pas le choix), eh bien je le ferai et il est évident que cette démarche représente une évidente vertu pédagogique pour l'utilisation des logiciels libres mais, concernant notre exemple (c'est à dire mon utilisation actuelle d'Ardour), il est clair que, pour moi, cela se ferait au détriment d'une partie du temps individuel ou partagé que je consacre aujourd'hui à faire des choses qui me semblent plus importante.

jujudusud utilisateur non connecté France
En restant dans l'utilisation des dépôts d'une distribution et donc sans nécessité de mettre en place la compilation des logiciels, il est aussi possible d'utiliser une distribution qui propose des dépôts plus à jour ou bien encore toujours à la dernière version.

J'utilise la dernière version par respect pour le travail des développeurs sans qui je n'aurais pas accès à tous ces superbes outils qu'ils mettent à ma disposition.
Ils développent de nouvelles fonctionnalités, enlèvent des bogues, améliorent leur logiciel; je l'utilise à la dernière version et je les remercie tous les jours de me permettre d'avancer avec eux.

Voilà mon humble avis, ma philosophie.

eric_p utilisateur non connecté France
jujudusud écrit :
La version 5.12 est proposée dans ta distribution ?
Aujourd'hui on en est à la version 6.8.

Ca peut-être un choix du mainteneur de la plateforme. Avec Ubuntu Studio, c'est le cas pour la version 20.04 LTS en raison de changements trop importants entre la v5 et la v6 (Ardour 6.0 Information Image ).

jujudusud utilisateur non connecté France
Partiellement d'accord.
Ubuntu studio prends soin de ses utilisateurs et faisant les choses à leur place et en décidant d'une philosophie.
Ils disent vouloir garder une ancienne version du logiciel parce qu'il existe une rupture pour les projets en cours. Pourquoi pas ...
Ils proposent un dépôt supplémentaires pour avoir la dernière version du logiciel... Pourquoi pas...

On n'a pas la même manière de voir les choses. C'est pas grave, je n'utilises plus Ubuntu... Depuis longtemps à cause de ça. Ni Débian d'ailleurs mais c'est un autre sujet.

c4-53 utilisateur non connecté
Personnellement je suis sous debian stable, sid et fedora sur mon pc principale, qui repassera sous debian quand la 11 sortira. Maintenant je suis "contributeur ardour" avec 1€ mensuel, qui permet d'avoir l'archive avec l'installateur et c'est très bien. Cela permet d'installer le dernier ardour même sur une une vieille debian ubuntu-lts.
Sinon pour le flatpak j'ai ré-essayé sur ma fedora qui tourne avec pipewire, qui est prévu pour faire tourner de l'audio basse latence dans le bac à sable (flatpak), je pige pas comment ça fonctionne et j'ai toujours le message avec la mémoire limitée à 64M
Image
Pipewire est normalement "l'avenir" des serveurs de son sous linux, d'après son concepteur sans doute... Dans les fais, je pense que ça va faire comme pulseaudio, une couche de plus.